org.wildfly.swarm.config.messaging.activemq.server

## Class HTTPAcceptor<T extends HTTPAcceptor<T>>

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.server.HTTPAcceptor<T>

-     public class HTTPAcceptor<T extends HTTPAcceptor<T>>
      extends Object

  Defines a way in which remote connections can be made to the ActiveMQ server over HTTP.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTTPAcceptor(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `httpListener()` The Undertow's http-listener that handles HTTP upgrade requests.
    `T` | `httpListener(String value)` The Undertow's http-listener that handles HTTP upgrade requests.
    `T` | `param(String key, Object value)` A key-value pair understood by the acceptor factory-class and used to configure it.
    `Map` | `params()` A key-value pair understood by the acceptor factory-class and used to configure it.
    `T` | `params(Map value)` A key-value pair understood by the acceptor factory-class and used to configure it.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `upgradeLegacy()` Also accepts to upgrade HTTP request from legacy (HornetQ) clients.
    `T` | `upgradeLegacy(Boolean value)` Also accepts to upgrade HTTP request from legacy (HornetQ) clients.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HTTPAcceptor

          public HTTPAcceptor(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### httpListener

          public String httpListener()

      The Undertow's http-listener that handles HTTP upgrade requests.

    - #### httpListener

          public T httpListener(String value)

      The Undertow's http-listener that handles HTTP upgrade requests.

    - #### params

          public Map params()

      A key-value pair understood by the acceptor factory-class and used to configure it.

    - #### params

          public T params(Map value)

      A key-value pair understood by the acceptor factory-class and used to configure it.

    - #### param

          public T param(String key,
                         Object value)

      A key-value pair understood by the acceptor factory-class and used to configure it.

    - #### upgradeLegacy

          public Boolean upgradeLegacy()

      Also accepts to upgrade HTTP request from legacy (HornetQ) clients.

    - #### upgradeLegacy

          public T upgradeLegacy(Boolean value)

      Also accepts to upgrade HTTP request from legacy (HornetQ) clients.

Copyright © 2018 JBoss by Red Hat. All rights reserved.